
CN REST - Bug #7687

Synchronization unable to change BaseURLs upon updateNodeCapabilities notification

2016-03-23 18:34 - Robert Waltz

Status: New Start date: 2016-03-23

Priority: Normal Due date:  

Assignee: Rob Nahf % Done: 0%

Category: d1_synchronization Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Synchronization does not change the baseurl of a membernode after the membernode has called updateNodeCapabilities in order to

update its baseurl.

Synchronization keeps a pool of d1clients associated with a membernode Id.  

NodeCommObjectListHarvestFactory and NodeCommSyncObjectFactory will each need to be notified if a membernode has

changed its baseurl node. Those objects can then purge and re-initialize the d1clients responsible for maintaining communication to

the membernode.

Related issues:

Related to Infrastructure - Bug #7688: LogAggregation unable to change BaseUR... New 2016-03-23

History

#1 - 2016-03-23 18:36 - Robert Waltz

- Tracker changed from Bug to Task

- Assignee set to Robert Waltz

#2 - 2016-03-23 18:48 - Robert Waltz

- Category set to d1_synchronization

#3 - 2016-03-23 18:53 - Robert Waltz

- Tracker changed from Task to Bug

#4 - 2016-03-23 18:55 - Robert Waltz

- Related to Bug #7688: LogAggregation unable to change BaseURLs upon updateNodeCapabilities notification added

#5 - 2016-07-22 19:22 - Robert Waltz

- Assignee changed from Robert Waltz to Rob Nahf

Powered by TCPDF (www.tcpdf.org)

2024-03-13 1/1

http://www.tcpdf.org

